> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete bank account

> Delete a bank account for the given id



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs delete /v6/banks/accounts/{id}
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/banks/accounts/{id}:
    delete:
      tags:
        - Bank Accounts
      summary: Delete bank account
      description: Delete a bank account for the given id
      operationId: deleteBankAccount
      parameters:
        - name: id
          in: path
          description: The id of the bank account
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseBankAccountGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    SuccessResponseBankAccountGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/BankAccountGetDto'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    BankAccountGetDto:
      required:
        - accountBalance
        - apiName
        - beginningBalanceData
        - glAccountId
        - iconUrl
        - id
        - integration
        - isSupported
        - lastSyncedDate
        - latestTransactionDate
        - mask
        - name
        - status
        - subType
        - syncTransactions
        - tranMinStartDate
        - tranStartDate
        - type
      type: object
      properties:
        id:
          type: string
          description: Id of the account
          example: '123456'
        status:
          type: string
          description: Status of the account
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        apiName:
          type: string
          description: Name of the API from which this transaction originated
          example: PLAID
          enum:
            - PLAID
            - UNIT
            - STRIPE
            - SHOPIFY
            - SQUARE
            - RUTTER
            - UBER
            - MOOV
            - QUALPAY
            - MANUAL_ENTRY
            - CSV_IMPORT
            - PARTNER_IMPLEMENTATION
            - QBO
            - XERO
            - BENCH
            - WAVE
        iconUrl:
          type: string
          description: Icon URL for the bank account
          nullable: true
          example: https://cdn.sandbox.tight.com/icons/banks/56.png
        name:
          type: string
          description: Display name for the bank account
          example: Chase Checking
        mask:
          type: string
          description: >-
            Mask of the user's bank account, often the last 4 digits of the
            account number
          nullable: true
          example: '1234'
        integration:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/IntegrationExpanded'
        type:
          type: string
          description: Type of the user's bank account
          example: DEPOSITORY
          enum:
            - DEPOSITORY
            - CREDIT
            - EQUITY
            - LOAN
            - INVESTMENT
            - OTHER
        subType:
          type: string
          description: Sub-type of the user's bank account
          nullable: true
          example: CHECKING
        lastSyncedDate:
          type: string
          description: Date of the last attempt to sync the account
          format: date-time
          nullable: true
        syncTransactions:
          type: boolean
          description: Whether to sync transactions for this account
          example: true
        isSupported:
          type: boolean
          description: Whether the bank account type is supported
          example: true
        tranStartDate:
          type: string
          description: Earliest day for which to pull transactions
          format: date
          nullable: true
        tranMinStartDate:
          type: string
          description: Earliest day for which transactions can be made available
          format: date
          nullable: true
        latestTransactionDate:
          type: string
          description: Date of the most recent Tight transaction
          format: date
          nullable: true
          example: '2025-01-01'
        glAccountId:
          type: string
          description: GL account id, referencing an account in the chart of accounts
          nullable: true
        beginningBalanceData:
          $ref: '#/components/schemas/BeginningBalanceDto'
        accountBalance:
          type: integer
          description: >-
            Balance of the bank account (in cents). If the account is present in
            Plaid's Accounts API, this will be the balance of that bank account
            as tracked by Plaid. Otherwise, this will be the balance of the bank
            account as tracked by Tight. If neither balance is available, this
            field will be null
          format: int64
          nullable: true
          example: 100000
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    IntegrationExpanded:
      type: object
      properties:
        id:
          type: string
          description: The id of the integration this account belongs to, if applicable
          nullable: true
        apiInstitutionId:
          type: string
          description: >-
            Id of the institution that the bank account or transaction
            originated from
          nullable: true
      description: Institution data for the bank account
      nullable: true
    BeginningBalanceDto:
      type: object
      properties:
        journalEntry:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/JournalEntryExpanded'
        amount:
          type: integer
          description: The beginning balance of this account
          format: int64
          nullable: true
      description: Beginning balance data for the bank account
    JournalEntryExpanded:
      required:
        - id
        - tranDate
      type: object
      properties:
        id:
          type: string
          description: Id of the Journal Entry
          nullable: true
        tranDate:
          type: string
          description: Date this journal entry was created
          format: date
          nullable: true
      description: The journal entry responsible for this beginning balance
      nullable: true
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````